org.keycloak.keys

## Class GeneratedEcdsaKeyProviderFactory

- java.lang.Object
- - org.keycloak.keys.AbstractEcdsaKeyProviderFactory
  - - org.keycloak.keys.GeneratedEcdsaKeyProviderFactory

- All Implemented Interfaces:
    ComponentFactory, KeyProviderFactory, ConfiguredProvider, ProviderFactory

      public class GeneratedEcdsaKeyProviderFactory
      extends AbstractEcdsaKeyProviderFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ECDSA_ELLIPTIC_CURVE`
    `static String` | `ID`

    - ### Fields inherited from class org.keycloak.keys.AbstractEcdsaKeyProviderFactory

      `ECDSA_ELLIPTIC_CURVE_KEY, ECDSA_ELLIPTIC_CURVE_PROPERTY, ECDSA_PRIVATE_KEY_KEY, ECDSA_PUBLIC_KEY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedEcdsaKeyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyProvider` | `create(KeycloakSession session, ComponentModel model)`
    `boolean` | `createFallbackKeys(KeycloakSession session, KeyUse keyUse, String algorithm)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel model)` Called before a component is created or updated.

    - ### Methods inherited from class org.keycloak.keys.AbstractEcdsaKeyProviderFactory

      `configurationBuilder, convertAlgorithmToECDomainParmNistRep, convertECDomainParmNistRepToAlgorithm, convertECDomainParmNistRepToSecRep, generateEcdsaKeyPair`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProviderFactory

      `close, init, postInit`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### DEFAULT_ECDSA_ELLIPTIC_CURVE

          public static final String DEFAULT_ECDSA_ELLIPTIC_CURVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GeneratedEcdsaKeyProviderFactory

          public GeneratedEcdsaKeyProviderFactory()

  - ### Method Detail

    - #### create

          public KeyProvider create(KeycloakSession session,
                                    ComponentModel model)

    - #### createFallbackKeys

          public boolean createFallbackKeys(KeycloakSession session,
                                            KeyUse keyUse,
                                            String algorithm)

    - #### getHelpText

          public String getHelpText()

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

    - #### getId

          public String getId()

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel model)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory`
      Overrides:
        `validateConfiguration` in class `AbstractEcdsaKeyProviderFactory`
      Throws:
        `ComponentValidationException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.